Package com.orchestranetworks.ui.form

# Interface UIFormPaneWriter

All Superinterfaces:
  `UIBodyWriter`, `UIComponentWriter`, `UIDependencyRegisterer`, `UIFormWriter`, `UIJavaScriptWriter`, `UIResourceLocator`, `UISessionContext`

public interface UIFormPaneWriter extends UIFormWriter
Encapsulates an HTTP response so that a form layout is able to generate its part of the page, including the building of standard model-driven widgets.

Since EBX® 5.7.1 some methods of this class were moved to class `UIFormWriter`.

Since:
  5.3.0
See Also:
  - `UIFormWriter`
  - `UIFormPane`
  - UI Developer Guide

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `includePane(UIFormPane aPane)`
  Includes the specified pane into this pane.

  ### Methods inherited from interface com.orchestranetworks.ui.UIBodyWriter

  `add, add, add, add_cr, add_cr, addSafeAttribute, addSafeAttribute, addSafeInnerHTML, addSafeInnerHTML`

  ### Methods inherited from interface com.orchestranetworks.ui.UIComponentWriter

  `addButtonHelp, addButtonJavaScript, addButtonJavaScriptToggle, addUILabel, addUserAvatar, buildButtonPreview, buildButtonPreview, buildButtonPreview, endBorder, endExpandCollapseBlock, endFormGroup, endFormRow, endTableFormRow, newExpandCollapseBlock, newFormGroup, newFormRow, startBorder, startBorder, startBorder, startExpandCollapseBlock, startExpandCollapseBlock, startFormGroup, startFormGroup, startFormRow, startFormRow, startFormRow, startFormRow, startTableFormRow`

  ### Methods inherited from interface com.orchestranetworks.ui.UIDependencyRegisterer

  `addJavaScriptDependency`

  ### Methods inherited from interface com.orchestranetworks.ui.form.UIFormWriter

  `addFormGroup, addFormRow, addFormRow, addFormRow, addFormRow, addFormRowOrGroup, addJS_getNodeValue, addJS_hideTab, addJS_setNodeMandatoryIndicator, addJS_setNodeValue, addJS_showTab, addLabel, addWidget, addWidget, getDisplayMode, getPrefixedPath, newBestMatching, newCheckBox, newCheckBoxGroup, newColorPicker, newComboBox, newCustomWidget, newDatasetSelector, newDataspaceSelector, newDateTime, newDropDownList, newFormGroup, newFormRow, newListBox, newPassword, newRadioButton, newRadioButtonGroup, newTable, newTextBox, startBorder, startFormGroup, startFormRow`

  ### Methods inherited from interface com.orchestranetworks.ui.UIJavaScriptWriter

  `addJS, addJS_addResizeWorkspaceListener, addJS_cr, addJS_cr, addJS_openPreviewImage, addJS_openPreviewImageFromVar, addJS_setButtonDisabled, addJS_setExpandCollapseBlockExpanded, addJS_setStateToToggleButton, addJS_switchToPerspective, addJS_switchToPerspectiveAction`

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.ui.UISessionContext

  `getLocale, getSession`

- ## Method Details

  - ### includePane

    void includePane(UIFormPane aPane)
    Includes the specified pane into this pane.

    This invokes the method `UIFormPane.writePane`.

    Parameters:
      `aPane` - the form pane to be included.